/***************************************************************************************
 * Copyright (c) 2023 BlackBerry Limited and contributors.
 *
 * Licensed under the MIT license. See LICENSE file in the project root for details.
 ***************************************************************************************/
import React from 'react';
import { AbstractOutputProps } from './abstract-output-component';
export interface OptionState {
    label: string;
    condition?: () => boolean;
    onClick?: (arg?: unknown) => void;
    arg?: () => unknown;
}
declare type OptionProps = AbstractOutputProps & OptionState;
export declare class DropDownOption extends React.Component<OptionProps, OptionState> {
    constructor(props: OptionProps);
    render(): JSX.Element;
}
declare type DropDownProps = AbstractOutputProps & {
    dropDownOptions: OptionState[];
    dropDownOpen: boolean;
};
export declare class DropDownComponent extends React.Component<DropDownProps> {
    optionsMenuRef: React.RefObject<HTMLDivElement>;
    constructor(props: DropDownProps);
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=drop-down-component.d.ts.map